"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.provider = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const util_1 = require("util");
const utils_1 = require("./utils");
const pathToTemplateFiles = path_1.default.join(__dirname, '..', 'templates', 'openapi-backend');
const provider = async () => {
    const files = await (0, util_1.promisify)(fs_1.default.readdir)(pathToTemplateFiles);
    const templateParameters = {
        functionTemplate: {
            sourceRoot: pathToTemplateFiles,
            sourceFiles: files,
            parameters: {
                path: '/',
            },
            defaultEditorFile: path_1.default.join('src', 'index.js'),
            destMap: (0, utils_1.getDestMap)(files),
        },
    };
    return templateParameters;
};
exports.provider = provider;
//# sourceMappingURL=provider.js.map